# Returns all custom field definitions.

GET https://api.awork.com/api/v1/customfielddefinitions

Returns all custom field definitions in the workspace. Set `includeLinkedProjectIds` to include the projects linked to each definition.

<Check title="Required Permissions" icon="key">Any authenticated user.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/customfielddefinitions' \
  -H 'Authorization: Bearer <token>'
```

- query parameter `includeLinkedProjectIds`: boolean. Whether to include linked project Ids in the response.

## Response 200

OK

application/json

```json
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Ticket-Number",
    "entity": "task",
    "type": "text",
    "createdOn": "2022-03-10T16:25:09.100Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedOn": "2022-03-10T18:55:00.500Z",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "order": 1,
    "isExternal": true,
    "selectionOptions": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "value": "Website Design",
        "color": "purple",
        "order": 0
      }
    ],
    "linkedProjectIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ]
  }
]
```
